# Interface IRevisionRulerColumnExtension

All Known Implementing Classes:
  `LineNumberChangeRulerColumn`

public interface IRevisionRulerColumnExtension
Extension interface for `IRevisionRulerColumn`.

Introduces the ability to register a selection listener on revisions and configurable rendering modes.

Since:
  3.3
See Also:
  - `IRevisionRulerColumn`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`IRevisionRulerColumnExtension.RenderingMode`
Rendering mode type-safe enum.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IRevisionRulerColumnExtension.RenderingMode`
`AGE`
Rendering mode that assigns colors to revisions by their age.
`static final IRevisionRulerColumnExtension.RenderingMode`
`AUTHOR`
Rendering mode that assigns a unique color to each revision author.
`static final IRevisionRulerColumnExtension.RenderingMode`
`AUTHOR_SHADED_BY_AGE`
Rendering mode that assigns unique colors per revision author and uses different color intensity depending on the age.

## Method Summary

Modifier and Type
Method
Description
`void`
`addRevisionListener(IRevisionListener listener)`
Adds a revision listener that will be notified when the displayed revision information changes.
`ISelectionProvider`
`getRevisionSelectionProvider()`
Returns the revision selection provider.
`void`
`removeRevisionListener(IRevisionListener listener)`
Removes a previously registered revision listener; nothing happens if `listener` was not registered with the receiver.
`void`
`setRevisionRenderingMode(IRevisionRulerColumnExtension.RenderingMode mode)`
Changes the rendering mode and triggers redrawing if needed.
`void`
`showRevisionAuthor(boolean show)`
Enables showing the revision author.
`void`
`showRevisionId(boolean show)`
Enables showing the revision id.

## Field Details

### AUTHOR

static final IRevisionRulerColumnExtension.RenderingMode AUTHOR
Rendering mode that assigns a unique color to each revision author.

### AGE

static final IRevisionRulerColumnExtension.RenderingMode AGE
Rendering mode that assigns colors to revisions by their age.

Currently the most recent revision is red, the oldest is a faint yellow. The coloring scheme can change in future releases.

### AUTHOR_SHADED_BY_AGE

static final IRevisionRulerColumnExtension.RenderingMode AUTHOR_SHADED_BY_AGE
Rendering mode that assigns unique colors per revision author and uses different color intensity depending on the age.

Currently it selects lighter colors for older revisions and more intense colors for more recent revisions. The coloring scheme can change in future releases.

## Method Details

### setRevisionRenderingMode

void setRevisionRenderingMode(IRevisionRulerColumnExtension.RenderingMode mode)
Changes the rendering mode and triggers redrawing if needed.

Parameters:
  `mode` - the rendering mode

### showRevisionId

void showRevisionId(boolean show)
Enables showing the revision id.

Parameters:
  `show` - `true` to show the revision, `false` to hide it

### showRevisionAuthor

void showRevisionAuthor(boolean show)
Enables showing the revision author.

Parameters:
  `show` - `true` to show the author, `false` to hide it

### getRevisionSelectionProvider

ISelectionProvider getRevisionSelectionProvider()
Returns the revision selection provider.

Returns:
  the revision selection provider

### addRevisionListener

void addRevisionListener(IRevisionListener listener)
Adds a revision listener that will be notified when the displayed revision information changes.

Parameters:
  `listener` - the listener to add

### removeRevisionListener

void removeRevisionListener(IRevisionListener listener)
Removes a previously registered revision listener; nothing happens if `listener` was not registered with the receiver.

Parameters:
  `listener` - the listener to remove